<?php
declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Api\Data;

/**
 * Interface PingResultInterface
 * Ping response data interface
 */
interface PingResultInterface
{
    /**
     * Get success status
     *
     * @return bool
     */
    public function getSuccess();

    /**
     * Set success status
     *
     * @param bool $success
     * @return $this
     */
    public function setSuccess($success);
}
